package com.younike.system.service;

import com.younike.system.domain.ServerUser;

import java.util.List;

/**
 * 服务人员Service接口
 *
 * @author jubs
 * @date 2022-01-05
 */
public interface IServerUserServiceForMerchant {
    /**
     * 查询服务人员
     *
     * @param serverId 服务人员主键
     * @return 服务人员
     */
    public ServerUser selectServerUserByServerId(Long serverId);

    /**
     * 查询服务人员列表
     *
     * @param serverUser 服务人员
     * @return 服务人员集合
     */
    public List<ServerUser> selectServerUserList(ServerUser serverUser);

    /**
     * 新增服务人员
     *
     * @param serverUser 服务人员
     * @return 结果
     */
    public int insertServerUser(ServerUser serverUser);

    /**
     * 修改服务人员
     *
     * @param serverUser 服务人员
     * @return 结果
     */
    public int updateServerUser(ServerUser serverUser);

    /**
     * 批量删除服务人员
     *
     * @param serverIds 需要删除的服务人员主键集合
     * @return 结果
     */
    public int deleteServerUserByServerIds(Long[] serverIds);

    /**
     * 删除服务人员信息
     *
     * @param serverId 服务人员主键
     * @return 结果
     */
    public int deleteServerUserByServerId(Long serverId);
}
